Index: src/map/mob.h
===================================================================
--- src/map/mob.h (revision 19)
+++ src/map/mob.h (revision 24)
@@ -12,11 +12,11 @@
 
 
-#define MAX_RANDOMMONSTER 5
-#define MAX_MOB_RACE_DB 6
+#define MAX_RANDOMMONSTER 5 //seems okay. just makes it so you can hold 5 summons at once.
+#define MAX_MOB_RACE_DB 6 //should this be changed though? I assume since undead was only expanded it's fine but it may fix something later.
 
 // Change this to increase the table size in your mob_db to accomodate a larger mob database.
 // Be sure to note that IDs 4001 to 4048 are reserved for advanced/baby/expanded classes.
 // Notice that the last 1000 entries are used for player clones, so always set this to desired value +1000
-#define MAX_MOB_DB 7000
+#define MAX_MOB_DB 7000 //7000 should work fine.
 
 //The number of drops all mobs have and the max drop-slot that the steal skill will attempt to steal from.
@@ -113,4 +113,5 @@
 		unsigned char attacked_count; //For rude attacked.
 		int provoke_flag; // Celest
+		unsigned npc_killmonster: 1; //for new killmonster behavior
 	} state;
 	struct guardian_data* guardian_data; 
@@ -142,5 +143,4 @@
 	unsigned int skilldelay[MAX_MOBSKILL];
 	char npc_event[50];
-	int npc_killmonster; //for new killmonster behavior
 };
 
@@ -270,4 +270,5 @@
 int mob_countslave(struct block_list *bl);
 int mob_convertslave(struct mob_data *md);
+// I really don't see the point in this...
 int mob_countslave_class(struct block_list* bl, int count, short* classes); // By FlavioJS [Brain]
 
Index: src/map/chrif.c
===================================================================
--- src/map/chrif.c (revision 1)
+++ src/map/chrif.c (revision 24)
@@ -18,4 +18,5 @@
 #include "pc.h"
 #include "pet.h"
+#include "skill.h"
 #include "status.h"
 #include "mercenary.h"
@@ -911,7 +912,7 @@
 	{
 		sd->status.child = 0;
-		sd->status.skill[410].id = 0;
-		sd->status.skill[410].lv = 0;
-		sd->status.skill[410].flag = 0;
+		sd->status.skill[WE_CALLBABY].id = 0;
+		sd->status.skill[WE_CALLBABY].lv = 0;
+		sd->status.skill[WE_CALLBABY].flag = 0;
 		clif_skillinfoblock(sd);
 	}
@@ -920,7 +921,7 @@
 	{
 		sd->status.child = 0;
-		sd->status.skill[410].id = 0;
-		sd->status.skill[410].lv = 0;
-		sd->status.skill[410].flag = 0;
+		sd->status.skill[WE_CALLBABY].id = 0;
+		sd->status.skill[WE_CALLBABY].lv = 0;
+		sd->status.skill[WE_CALLBABY].flag = 0;
 		clif_skillinfoblock(sd);
 	}
